import { writable} from 'svelte/store';

function generateRandomString(length: number): string {
  let result = '';
  for (let i = 0; i < length; i++) {
    const charCode = Math.floor(Math.random() * 62);
    result += String.fromCharCode(charCode + (charCode < 26 ? 65 : (charCode < 52 ? 71 : -4)));
  }
  return result;
}

const password: string = generateRandomString(16);
export let globalPassword = writable(password);

